## org.eclipse.wst.wsdl
Interface BindingFault

All Superinterfaces:
  javax.wsdl.BindingFault, ExtensibleElement, java.io.Serializable, WSDLElement

    public interface BindingFault

extends ExtensibleElement, javax.wsdl.BindingFault

A representation of the model object 'Binding Fault'.

Since:
  1.0 This class represents a WSDL fault element within a operation within a binding. A fault element within an operation within a binding specifies binding information for the fault with the same name.

  The following features are supported:

  - `Name`
  - `EFault`
See Also:
  `WSDLPackage.getBindingFault()`

Method Summary
`Fault` `getEFault()` Returns the value of the 'EFault' reference
`javax.wsdl.Fault` `getFault()` This method is same as getEFault() and compatible with the JWSDL API.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setEFault(Fault value)` Sets the value of the '`EFault`' reference
`void` `setFault(javax.wsdl.Fault fault)` This method is same as setEFault(Fault) and compatible with the JWSDL API.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.BindingFault
`addExtensibilityElement, getDocumentationElement, getExtensibilityElements, setDocumentationElement`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `javax.wsdl.BindingFault`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `WSDLPackage.getBindingFault_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Specified by:
    `setName` in interface `javax.wsdl.BindingFault`
  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getEFault

    Fault getEFault()

  Returns the value of the 'EFault' reference.

  If the meaning of the 'EFault' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EFault' reference.
  See Also:
    `setEFault(Fault)`, `WSDLPackage.getBindingFault_EFault()`

### setEFault

    void setEFault(Fault value)

  Sets the value of the '`EFault`' reference.

  Parameters:
    `value` - the new value of the 'EFault' reference.
  See Also:
    `getEFault()`

### getFault

    javax.wsdl.Fault getFault()

  This method is same as getEFault() and compatible with the JWSDL API.

  Returns:
    the value of the 'EFault' reference.
  See Also:
    `getEFault()`

### setFault

    void setFault(javax.wsdl.Fault fault)

  This method is same as setEFault(Fault) and compatible with the JWSDL API.

  Parameters:
    `fault` - the new value of the 'EFault' reference.
  See Also:
    `setEFault(Fault)`